#!/bin/bash
sock_def_readable_addr=`cat /proc/kallsyms | grep sock_def_readable | awk '{print $1}'`

if [ "$sock_def_readable_addr" == "" ];then
    echo "symbol sock_def_readable not found"
    exit -1
else
    echo "sock_def_readable addr 0x$sock_def_readable_addr"
    modprobe kgwttm sk_data_ready_addr="0x$sock_def_readable_addr"
fi

